function [zero,res,niter,erro]=newton(fun,dfun,x0,tol,nmax,varargin)
x=x0;
fx=feval(fun,x,varargin{:});
dfx=feval(dfun,x,varargin{:});
niter=0; diff=tol+1;
while diff>=tol && niter<=nmax
    niter=niter+1;      diff=-fx/dfx;
    xold=x;             
    x=x+diff;           diff=abs(diff);
    fx=feval(fun,x,varargin{:});
    dfx=feval(dfun,x,varargin{:});
    er=diff;
end
if niter > nmax
    fprintf(['O mtodo de Newton parou sem convergir com a tolerncia desejada porque ',...
      'o nmero mximo de iteraes foi atingido \n']);
end
zero=x; res=fx; erro=er;
return
  
    