function [x,F,iter]=newtonsys(Ffun,Jfun,x0,tol,nmax,varargin)
iter=0; err=tol+1; x=x0;
while err>tol && iter<=nmax
    J=feval(Jfun,x,varargin{:});
    F=feval(Ffun,x,varargin{:});
    delta=-J\F;
    x=x+delta;
    err=norm(delta);
    iter=iter+1;
end
F=norm(feval(Ffun,x,varargin{:}));
if iter>=nmax
    fprintf('No converge com o nmero mximo de iteraes \n ');
    fprintf('O valor devolvido tem um resduo relativo %e\n',F);
else
    fprintf('O mtodo convergiu na iterao %i com um resduo %e\n',iter,F);
end
return